Index: /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/ajoutvect.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/ajoutvect.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/ajoutvect.pro	(revision 114)
@@ -54,4 +54,7 @@
 ;------------------------------------------------------------
 pro ajoutvect,vecteur, vectlegende, UNVECTSUR=unvectsur,VECTMIN=vectmin, VECTMAX=vectmax, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
    tempsun = systime(1)         ; pour key_performance
@@ -128,10 +131,10 @@
 ; construction de u et v aux pts T
 ;-----------------------------------------------------------
-      a=u(0,*)
+      a=u[0,*]
       u=(u+shift(u,1,0))/2.
-      if NOT keyword_set(key_periodic) OR nx NE jpi then u(0,*)=a
-      a=v(*,0)
+      if NOT keyword_set(key_periodic) OR nx NE jpi then u[0,*]=a
+      a=v[*,0]
       v=(v+shift(v,0,1))/2.
-      if NOT keyword_set(key_periodic) OR nx NE jpi then v(*,0)=a
+      if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0]=a
 ;----------------------------------------------------------------------------
 ; attribution du mask et des tableau de longitude et latitude
@@ -191,10 +194,10 @@
    if interpolle then t2 = msku*shift(msku,1,0)*mskv*shift(mskv,0,1) $
    ELSE t2 = tmask[firstxt:lastxt,firstyt:lastyt,firstzt]
-   if NOT keyword_set(key_periodic) OR nx NE jpi then t2(0, *)=0.
-   t2(*,0)=0.
+   if NOT keyword_set(key_periodic) OR nx NE jpi then t2[0, *]=0.
+   t2[*,0]=0.
    terre=where(t2 eq 0)
    if terre[0] ne -1 then begin
-      u(terre)=1e5
-      v(terre)=1e5
+      u[terre]=1e5
+      v[terre]=1e5
    ENDIF
 ;-----------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 114)
@@ -81,4 +81,7 @@
 ; angle peut etre un tableau.
 ;
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ; quelle est la longeur en coordonnees normales d''un trait qui fera 1
@@ -103,15 +106,18 @@
 ; normalise le vecteur
 ;
+;
+  compile_opt idl2, strictarrsubs
+;
    IF n_elements(w) NE 0 THEN BEGIN 
       norme = sqrt(u^2.+v^2.+w^2.)
       ind = where(norme NE 0)
-      u(ind) = u(ind)/norme[ind]
-      v(ind) = v(ind)/norme[ind]
-      w(ind) = w(ind)/norme[ind]
+      u[ind] = u[ind]/norme[ind]
+      v[ind] = v[ind]/norme[ind]
+      w[ind] = w[ind]/norme[ind]
    ENDIF ELSE BEGIN
       norme = sqrt(u^2.+v^2.)
       ind = where(norme NE 0)
-      u(ind) = u(ind)/norme[ind]
-      v(ind) = v(ind)/norme[ind]
+      u[ind] = u[ind]/norme[ind]
+      v[ind] = v[ind]/norme[ind]
    ENDELSE 
 END
@@ -120,4 +126,7 @@
              , VECTCOLOR = vectcolor, VECTTHICK = vectthick, VECTREFPOS = vectrefpos $
              , VECTREFFORMAT = vectrefformat, NOVECTREF = novectref, _extra = extra
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
    tempsun = systime(1)         ; pour key_performance
@@ -202,12 +211,12 @@
    r = cv_coord(from_sphere=coord_sphe,/to_rect,/degrees)
 ;
-   x0 = reform(r(0, *), nx, ny)
-   y0 = reform(r(1, *), nx, ny)
-   z0 = reform(r(2, *), nx, ny)
+   x0 = reform(r[0, *], nx, ny)
+   y0 = reform(r[1, *], nx, ny)
+   z0 = reform(r[2, *], nx, ny)
 ;
 ; etape 1, b)
 ;
 ; Construction du vecteur nu (resp. nv), vecteur norme porte par
-; l''axe des points u(i,j) et u(i-1,j) (resp v(i,j) et v(i,j-1))
+; l''axe des points u[i,j] et u[i-1,j] (resp v[i,j] et v[i,j-1])
 ; qui definissent pour chaque point sur la shere les directions locales
 ; associee a u et v. ces vecteurs definissent un repere orthonorme
@@ -219,11 +228,11 @@
    radius = replicate(1,nxgd*nygd)
    IF finite(glamu[0]*gphiu[0]) NE 0 THEN $
-     coord_sphe = transpose([ [(glamu[indice2d])[*]], [(gphiu[indice2d])[*]], [radius(*)] ]) $
-   ELSE coord_sphe = transpose([ [(glamf[indice2d])[*]], [(gphit[indice2d])[*]], [radius(*)] ])
+     coord_sphe = transpose([ [(glamu[indice2d])[*]], [(gphiu[indice2d])[*]], [radius[*]] ]) $
+   ELSE coord_sphe = transpose([ [(glamf[indice2d])[*]], [(gphit[indice2d])[*]], [radius[*]] ])
    r = cv_coord(from_sphere=coord_sphe,/to_rect,/degrees)
 ; coordonnes de points de la grille u en cartesien
-   ux = reform(r(0, *), nxgd, nygd)
-   uy = reform(r(1, *), nxgd, nygd)
-   uz = reform(r(2, *), nxgd, nygd)
+   ux = reform(r[0, *], nxgd, nygd)
+   uy = reform(r[1, *], nxgd, nygd)
+   uz = reform(r[2, *], nxgd, nygd)
 ; calcul de nu 
    nux = ux-shift(ux, 1, 0)
@@ -242,11 +251,11 @@
 ; definition de nv
    IF finite(glamv[0]*gphiv[0]) NE 0 THEN $
-   coord_sphe = transpose([ [(glamv[indice2d])[*]], [(gphiv[indice2d])[*]], [radius(*)] ]) $
-   ELSE coord_sphe = transpose([ [(glamt[indice2d])[*]], [(gphif[indice2d])[*]], [radius(*)] ])                
+   coord_sphe = transpose([ [(glamv[indice2d])[*]], [(gphiv[indice2d])[*]], [radius[*]] ]) $
+   ELSE coord_sphe = transpose([ [(glamt[indice2d])[*]], [(gphif[indice2d])[*]], [radius[*]] ])                
    r = cv_coord(from_sphere=coord_sphe,/to_rect,/degrees)
 ; coordonnes de points de la grille v en cartesien
-   vx = reform(r(0, *), nxgd, nygd)
-   vy = reform(r(1, *), nxgd, nygd)
-   vz = reform(r(2, *), nxgd, nygd)
+   vx = reform(r[0, *], nxgd, nygd)
+   vy = reform(r[1, *], nxgd, nygd)
+   vz = reform(r[2, *], nxgd, nygd)
 ; calcul de nv 
    nvx = vx-shift(vx, 0, 1)
@@ -290,8 +299,8 @@
 ; coordonnees de la pointe en spherique
 
-   coord_rect = transpose([ [x1(*)], [y1(*)], [z1(*)] ])
+   coord_rect = transpose([ [x1[*]], [y1[*]], [z1[*]] ])
    r = cv_coord(from_rect=coord_rect,/to_sphere,/degrees)
-   glam1 = reform(r(0, *), nx, ny)
-   gphi1 = reform(r(1, *), nx, ny)
+   glam1 = reform(r[0, *], nx, ny)
+   gphi1 = reform(r[1, *], nx, ny)
 
 ;
@@ -303,12 +312,12 @@
 ;
    ind = where(glam1 LT !x.range[0] AND glam1+360. LE !x.range[1])
-   if ind[0] NE -1 then glam1(ind) = glam1(ind)+360.
+   if ind[0] NE -1 then glam1[ind] = glam1[ind]+360.
    ind = where(glam1 GT !x.range[1] AND glam1-360. GE !x.range[0])
-   if ind[0] NE -1 then glam1(ind) = glam1(ind)-360.
+   if ind[0] NE -1 then glam1[ind] = glam1[ind]-360.
 
    ind = where(glam LT !x.range[0] AND glam+360. LE !x.range[1])
-   if ind[0] NE -1 then glam(ind) = glam(ind)+360.
+   if ind[0] NE -1 then glam[ind] = glam[ind]+360.
    ind = where(glam  GT !x.range[1] AND glam-360. GE !x.range[0])
-   if ind[0] NE -1 then glam(ind) = glam(ind)-360.
+   if ind[0] NE -1 then glam[ind] = glam[ind]-360.
 ;
 ;
@@ -316,10 +325,10 @@
 ;
    r = convert_coord(glam,gphi,/data,/to_normal) 
-   x0 = r(0, *)                 ; coordonnes normales du debut de la fleche
-   y0 = r(1, *)                 ; 
+   x0 = r[0, *]                 ; coordonnes normales du debut de la fleche
+   y0 = r[1, *]                 ; 
    
    r = convert_coord(glam1,gphi1,/data,/to_normal) 
-   x1 = r(0, *)                 ; coordonnes normales de la fin de la fleche (avant scaling)
-   y1 = r(1, *)                 ; 
+   x1 = r[0, *]                 ; coordonnes normales de la fin de la fleche (avant scaling)
+   y1 = r[1, *]                 ; 
 ;
 ; tests pour eviter que des fleches soient dessineees hors du domaine
@@ -384,6 +393,6 @@
 ;
    r = cv_coord(from_polar = transpose([ [dirpol[*]], [norme[*]] ]), /to_rect)
-   composantex = r(0, *)
-   composantey = r(1, *)
+   composantex = r[0, *]
+   composantey = r[1, *]
 ;
    x1 = x0+composantex
@@ -395,5 +404,5 @@
 
    points = where(msk EQ 1)
-   IF points[0] NE -1 THEN arrow, x0(points), y0(points), x1(points), y1(points), /norm $
+   IF points[0] NE -1 THEN arrow, x0[points], y0[points], x1[points], y1[points], /norm $
     , hsize = -.2, COLOR = vectcolor, THICK = vectthick
 ;
Index: /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro	(revision 114)
@@ -100,4 +100,7 @@
 PRO VELOVECT,U,V,X,Y, Missing = Missing, Length = length, Dots = dots,  $
         Color=color, CLIP=clip, NOCLIP=noclip, OVERPLOT=overplot, _EXTRA=extra
+;
+  compile_opt idl2, strictarrsubs
+;
         on_error,2                      ;Return to caller if an error occurs
         s = size(u)
Index: /trunk/SRC/ToBeReviewed/PLOTS/axe.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 114)
@@ -50,4 +50,7 @@
 ;------------------------------------------------------------
 PRO axe, coupe,tempsmin,tempsmax, REVERSE_X = reverse_x, REVERSE_Y = reverse_y, SIN = sin, SEPDATE = sepdate, DIGITSYEAR = digitsyear, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
    tempsun = systime(1)         ; pour key_performance
Index: /trunk/SRC/ToBeReviewed/PLOTS/legende.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/legende.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/legende.pro	(revision 114)
@@ -47,4 +47,7 @@
             , INTERVALLE = intervalle, TYPE_YZ = type_yz, VARNAME2 = varname2 $
             , NPTS = npts, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
    tempsun = systime(1)         ; pour key_performance
Index: /trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro	(revision 114)
@@ -32,4 +32,7 @@
                   angle=angle, box=box, line=line, scale=scale, $
                   _extra=extra
+;
+  compile_opt idl2, strictarrsubs
+;
 if not keyword_set(scale) then scale=1.0
 if not keyword_set(angle) then angle=0.0
Index: /trunk/SRC/ToBeReviewed/PLOTS/reinitplt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/reinitplt.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/reinitplt.pro	(revision 114)
@@ -41,4 +41,7 @@
 pro reinitplt, all=all,x=x,y=y,z=z,p=p, invert=invert
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 	clearx = 0
 	cleary = 0
Index: /trunk/SRC/ToBeReviewed/PLOTS/style.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/style.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/style.pro	(revision 114)
@@ -44,4 +44,7 @@
 ;------------------------------------------------------------
 pro style,labstyle,level_z2d,linestyle,thick
+;
+  compile_opt idl2, strictarrsubs
+;
    case labstyle of
       0: begin
@@ -75,5 +78,5 @@
          a=replicate(0,n_elements(level_z2d)-n)
          c=replicate(2,n)         
-         if seuil eq level_z2d(n) then begin
+         if seuil eq level_z2d[n] then begin
             thick=[replicate(1,n),2,replicate(1,n_elements(level_z2d)-1-n)]
             linestyle=[c,a]
@@ -86,21 +89,21 @@
       3: begin
          n = n_elements(level_z2d)
-         seuil = level_z2d(1+n/2)
+         seuil = level_z2d[1+n/2]
 
          thick = intarr(n)
-         thick(indgen((n)/4)*4) = 1
-         thick(indgen((n)/4)*4+1) = 1
-         thick(indgen((n)/4)*4+2) = 2
-         thick(indgen((n)/4)*4+3) = 1
+         thick[indgen(n/4)*4] = 1
+         thick[indgen(n/4)*4+1] = 1
+         thick[indgen(n/4)*4+2] = 2
+         thick[indgen(n/4)*4+3] = 1
 
          linestyle = intarr(n)
-         linestyle(indgen((n)/4)*4) = 3
-         linestyle(indgen((n)/4)*4+1) = 0
-         linestyle(indgen((n)/4)*4+2) = 0
-         linestyle(indgen((n)/4)*4+3) = 0
+         linestyle[indgen(n/4)*4] = 3
+         linestyle[indgen(n/4)*4+1] = 0
+         linestyle[indgen(n/4)*4+2] = 0
+         linestyle[indgen(n/4)*4+3] = 0
 
          labels = intarr(n)
-         labels(indgen((n)/2)*2) = 1
-         labels(n/2) = 0
+         labels[indgen(n/2)*2] = 1
+         labels[n/2] = 0
 
          return
Index: /trunk/SRC/ToBeReviewed/PLOTS/symbols.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/symbols.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/PLOTS/symbols.pro	(revision 114)
@@ -50,4 +50,7 @@
 ;-
 pro symbols,nsym,scale,color=col
+;
+  compile_opt idl2, strictarrsubs
+;
 on_error,2
 fill = 0
@@ -65,17 +68,17 @@
                       xarr = fltarr(5)
                       yarr = xarr
-                      xarr(1) = 10.
-                      xarr(2) = 6.
-                      yarr(2) = 2.
+                      xarr[1] = 10.
+                      xarr[2] = 6.
+                      yarr[2] = 2.
                       ;nsyms greater than 10 should be filled arrows
                       if nsym gt 10 then begin
-                         xarr(3) = 6. 
-                         xarr(4) = 10.
-                         yarr(3) = -2.
+                         xarr[3] = 6. 
+                         xarr[4] = 10.
+                         yarr[3] = -2.
                          fill = 1
                       endif else begin
-                         xarr(3) = 10.
-                         xarr(4) = 6.
-                         yarr(4) = -2.
+                         xarr[3] = 10.
+                         xarr[4] = 6.
+                         yarr[4] = -2.
                       endelse
                       case 1 of
@@ -85,10 +88,10 @@
                             xarr = extrac(xarr,0,11)
                             yarr = extrac(yarr,0,11)
-                            yarr(6) = 0.5
-                            xarr(7) = 6
-                            yarr(7) = 0.5
-                            xarr(8) = 6
-                            yarr(8) = -0.5
-                            yarr(9) = -0.5
+                            yarr[6] = 0.5
+                            xarr[7] = 6
+                            yarr[7] = 0.5
+                            xarr[8] = 6
+                            yarr[8] = -0.5
+                            yarr[9] = -0.5
                             if nsym eq 12 then begin
                                rotation,xarr,yarr,180,nx,ny
@@ -124,8 +127,8 @@
                       xarr = fltarr(5) + 3
                       yarr = xarr
-                      xarr(1) = -3.
-                      xarr(2) = -3.
-                      yarr(2) = -3.
-                      yarr(3) = -3.
+                      xarr[1] = -3.
+                      xarr[2] = -3.
+                      yarr[2] = -3.
+                      yarr[3] = -3.
                       if (nsym eq 21)+(nsym eq 31) then begin
                          rotation,xarr,yarr,45,nx,ny
@@ -139,7 +142,7 @@
                       yarr = fltarr(4) - 6./4.
                       xarr = fltarr(4) - 6./2.
-                      xarr(1) = 6./2.
-                      xarr(2) = 0.
-                      yarr(2) = 6.*sqrt(3.)/2. - 6./4.
+                      xarr[1] = 6./2.
+                      xarr[2] = 0.
+                      yarr[2] = 6.*sqrt(3.)/2. - 6./4.
                       if nsym eq 32 then fill = 1
                                     end
@@ -147,5 +150,5 @@
                       xarr = fltarr(2) + 1
                       yarr = xarr * 0.
-                      xarr(1) = -1.
+                      xarr[1] = -1.
                                     end
 endcase
Index: /trunk/SRC/ToBeReviewed/POSTSCRIPT/calibre.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/POSTSCRIPT/calibre.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/POSTSCRIPT/calibre.pro	(revision 114)
@@ -88,4 +88,7 @@
              , LANDSCAPE = lanscape, _extra = ex
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4ps
   IF NOT keyword_set(key_forgetold) THEN BEGIN
Index: /trunk/SRC/ToBeReviewed/POSTSCRIPT/chcolps.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/POSTSCRIPT/chcolps.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/POSTSCRIPT/chcolps.pro	(revision 114)
@@ -1,3 +1,6 @@
 PRO format_colortable_hexa, table
+;
+  compile_opt idl2, strictarrsubs
+;
 
     tvlct, r, g, b, /get
@@ -22,4 +25,7 @@
 ;
 ; Fabrique le bloc de colortable
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 
@@ -49,4 +55,7 @@
 ;
 ; recupere les palettes
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
     lct, n1
Index: /trunk/SRC/ToBeReviewed/STATISTICS/a_correlate2d.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STATISTICS/a_correlate2d.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STATISTICS/a_correlate2d.pro	(revision 114)
@@ -61,4 +61,7 @@
 
 FUNCTION Auto_Cov2d, X, Lag, Double = Double, zero2nan = zero2nan
+;
+  compile_opt idl2, strictarrsubs
+;
    XDim = SIZE(X, /dimensions)
    nx = XDim[0]
@@ -76,4 +79,7 @@
 
 FUNCTION A_Correlate2d, X, Lag, Covariance = Covariance, Double = Double
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ;Compute the sample-autocorrelation or autocovariance of (Xt, Xt+l)
Index: /trunk/SRC/ToBeReviewed/STATISTICS/a_timecorrelate.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STATISTICS/a_timecorrelate.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STATISTICS/a_timecorrelate.pro	(revision 114)
@@ -79,4 +79,7 @@
 FUNCTION TimeAuto_Cov, X, M, nT, Double = Double, zero2nan = zero2nan
 ;Sample autocovariance function
+;
+  compile_opt idl2, strictarrsubs
+;
    TimeDim = size(X, /n_dimensions)
    Xmean = TOTAL(X, TimeDim, Double = Double) / nT
@@ -107,4 +110,7 @@
 
 FUNCTION A_TimeCorrelate, X, Lag, COVARIANCE = Covariance, DOUBLE = Double
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ;Compute the sample-autocorrelation or autocovariance of (Xt, Xt+l)
Index: /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog	(revision 114)
@@ -15,5 +15,5 @@
    ("putfile" pro nil (lib "putfile.pro" nil "saxo") "%s, file, s" (nil ("error") ("help")))
    ("STR_SIZE" fun nil (lib "str_size.pro" nil "saxo") "Result = %s(string, targetWidth)" (nil ("INITSIZE") ("STEP")))
-   ("Strcnt" fun nil (lib "strcnt.pro" nil "saxo") "Result = %s(strn, substrn, startpos)" (nil ("HELP")))
+   ("strcnt" fun nil (lib "strcnt.pro" nil "saxo") "Result = %s(strn, substrn, startpos)" (nil ("HELP")))
    ("too_cool" fun nil (lib "string2struct.pro" nil "saxo") "Result = %s" (nil ("_extra")))
    ("string2struct" fun nil (lib "string2struct.pro" nil "saxo") "Result = %s(strVal)" (nil))
Index: /trunk/SRC/ToBeReviewed/STRING/chkeywd.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/chkeywd.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/chkeywd.pro	(revision 114)
@@ -73,4 +73,7 @@
 ;------------------------------------------------------------
 FUNCTION chkeywd, stringin, keywdname, keywdvalue, SEPARATOR = separator, AFTER = after
+;
+  compile_opt idl2, strictarrsubs
+;
 
    stringout = stringin
Index: /trunk/SRC/ToBeReviewed/STRING/lenstr.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/lenstr.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/lenstr.pro	(revision 114)
@@ -27,4 +27,7 @@
 
 function lenstr,str
+;
+  compile_opt idl2, strictarrsubs
+;
    dsave=!d.name
 
@@ -54,6 +57,6 @@
          w=fltarr(nn)
          for i=0,nn-1 do begin
-            xyouts,0,0,/device,str(i),width=ww
-            w(i)=ww
+            xyouts,0,0,/device,str[i],width=ww
+            w[i]=ww
          endfor
       end
Index: /trunk/SRC/ToBeReviewed/STRING/str_size.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/str_size.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/str_size.pro	(revision 114)
@@ -64,4 +64,7 @@
 
 FUNCTION STR_SIZE, string, targetWidth, INITSIZE=initsize, STEP=step
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ON_ERROR, 1
Index: /trunk/SRC/ToBeReviewed/STRING/strcnt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strcnt.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/strcnt.pro	(revision 114)
@@ -48,6 +48,9 @@
 ;  This code comes with absolutely NO warranty; see DISCLAIMER for details.
 ;-
-FUNCTION Strcnt, strn, substrn, startpos, $
+FUNCTION strcnt, strn, substrn, startpos, $
                  HELP=Help
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ; Return to caller if error.
@@ -88,5 +91,5 @@
     IF strlen(substrn) EQ 1 THEN BEGIN
         tmpstrn = byte(TmpStrn)
-        count = n_elements(where(TmpStrn EQ (byte(substrn))(0))) 
+        count = n_elements(where(TmpStrn EQ (byte(substrn))[0])) 
     ENDIF ELSE BEGIN 
         count = 0L
Index: /trunk/SRC/ToBeReviewed/STRING/string2struct.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/string2struct.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/string2struct.pro	(revision 114)
@@ -4,4 +4,7 @@
 ;
 function too_cool,_extra=extra
+;
+  compile_opt idl2, strictarrsubs
+;
 return,extra
 end
@@ -68,4 +71,7 @@
 
 function string2struct,strVal
+;
+  compile_opt idl2, strictarrsubs
+;
 r = execute('extra = too_cool(' + strVal[0] +')')
 ;if r = 0 then user did not enter keywords correctly so
Index: /trunk/SRC/ToBeReviewed/STRING/strkeywd.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strkeywd.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/strkeywd.pro	(revision 114)
@@ -71,4 +71,7 @@
 ;------------------------------------------------------------
 FUNCTION strkeywd, struct
+;
+  compile_opt idl2, strictarrsubs
+;
    if size(struct, /type) NE 8 then return,  ''
    tname = tag_names(struct)
Index: /trunk/SRC/ToBeReviewed/STRING/strrepl.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strrepl.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/strrepl.pro	(revision 114)
@@ -76,4 +76,7 @@
 
 function strrepl,str,agument1,rchar
+;
+  compile_opt idl2, strictarrsubs
+;
    
    if (n_elements(str) eq 0) then return,''
Index: /trunk/SRC/ToBeReviewed/STRING/strright.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strright.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/strright.pro	(revision 114)
@@ -52,4 +52,7 @@
 
 function strright,s,lastn
+;
+  compile_opt idl2, strictarrsubs
+;
  
     on_error,2   ; return to caller
Index: /trunk/SRC/ToBeReviewed/STRING/strsci.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strsci.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/strsci.pro	(revision 114)
@@ -106,4 +106,7 @@
 function StrSci, Data, Format=Format, POT_Only=POT_Only, $
              MANTISSA_ONLY=MANTISSA_ONLY,SHORT=SHORT,TRIM=TRIM
+;
+  compile_opt idl2, strictarrsubs
+;
 
    ;====================================================================
Index: /trunk/SRC/ToBeReviewed/STRING/strtok.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strtok.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/strtok.pro	(revision 114)
@@ -59,4 +59,7 @@
 FUNCTION Strtok, string, token, $
                  TRIM=trim, HELP=Help
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ; Back to the caller if error occurs.
Index: /trunk/SRC/ToBeReviewed/STRING/strtrans.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strtrans.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/strtrans.pro	(revision 114)
@@ -60,4 +60,7 @@
 FUNCTION strtrans, InputString, from, to, ned,  $
                    HELP=Help
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ; Bomb out to caller if error.
Index: /trunk/SRC/ToBeReviewed/STRING/strwhere.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strwhere.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/strwhere.pro	(revision 114)
@@ -60,4 +60,7 @@
 
 function strwhere,str,schar,Count
+;
+  compile_opt idl2, strictarrsubs
+;
  
  
Index: /trunk/SRC/ToBeReviewed/STRING/tostr.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/tostr.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRING/tostr.pro	(revision 114)
@@ -50,4 +50,7 @@
 ;------------------------------------------------------------
 FUNCTION tostr, input
+;
+  compile_opt idl2, strictarrsubs
+;
 
    case 1 of
Index: /trunk/SRC/ToBeReviewed/STRUCTURE/chkstru.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRUCTURE/chkstru.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRUCTURE/chkstru.pro	(revision 114)
@@ -27,5 +27,5 @@
 ;        INDEX --> a named variable that will contain the indices of
 ;             the required field names in the structure. They can then
-;             be assessed through structure.(index(i)) . Index will
+;             be assessed through structure.(index[i]) . Index will
 ;             contain -1 for all fields entries that are not in the
 ;             structure.
@@ -75,4 +75,7 @@
 
 function chkstru,structure,fields,index=index,verbose=verbose, extract = extract
+;
+  compile_opt idl2, strictarrsubs
+;
  
 
@@ -91,5 +94,5 @@
  
      s = size(structure)
-     if (s(1+s(0)) ne 8) then begin
+     if (s[1+s[0]] ne 8) then begin
          if(keyword_set(verbose)) then $
              ras = report('CHKSTRU: ** No structure passed ! **')
@@ -109,9 +112,9 @@
 
      for i=0,n_elements(fields)-1 do begin
-         ind = where(names eq strupcase(fields(i)))
-         if (ind(0) lt 0) then begin
+         ind = where(names eq strupcase(fields[i]))
+         if (ind[0] lt 0) then begin
              if(keyword_set(verbose)) then $
-                ras = report('CHKSTRU: ** Cannot find field '+fields(i)+' ! **')  
-         endif else index(i) = ind(0)
+                ras = report('CHKSTRU: ** Cannot find field '+fields[i]+' ! **')
+         endif else index[i] = ind[0]
      endfor
  
Index: /trunk/SRC/ToBeReviewed/STRUCTURE/extractstru.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRUCTURE/extractstru.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRUCTURE/extractstru.pro	(revision 114)
@@ -60,4 +60,7 @@
 ;------------------------------------------------------------
 FUNCTION extractstru, stru, liste, GARDE = garde, VIRE = vire
+;
+  compile_opt idl2, strictarrsubs
+;
    if size(stru, /type) NE 8 then return,  -1
    if size(liste, /type) NE 7 then return,  -1
Index: /trunk/SRC/ToBeReviewed/STRUCTURE/mixstru.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRUCTURE/mixstru.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRUCTURE/mixstru.pro	(revision 114)
@@ -60,4 +60,7 @@
 ;------------------------------------------------------------
 FUNCTION mixstru, stru1, stru2
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_general
 
Index: /trunk/SRC/ToBeReviewed/STRUCTURE/struct2string.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRUCTURE/struct2string.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRUCTURE/struct2string.pro	(revision 114)
@@ -45,4 +45,7 @@
 ;------------------------------------------------------------
 FUNCTION struct2string, struct, CUT_IN_STRING = cut_in_string, MAX_STRUCT_LENGTH = max_struct_length, DIRECT2STRING = direct2string 
+;
+  compile_opt idl2, strictarrsubs
+;
    if size(struct, /type) NE 8 then return,  ''
    if NOT keyword_set(max_struct_length) then max_struct_length = 10000l
Index: /trunk/SRC/ToBeReviewed/STRUCTURE/where_tag.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRUCTURE/where_tag.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/STRUCTURE/where_tag.pro	(revision 114)
@@ -55,4 +55,7 @@
                                         RANGE=range, VALUES=values
 ;First check required parameters...
+;
+  compile_opt idl2, strictarrsubs
+;
 
         Ntag = N_tags( Struct )
Index: /trunk/SRC/ToBeReviewed/TRIANGULATION/ciseauxtri.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/TRIANGULATION/ciseauxtri.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/TRIANGULATION/ciseauxtri.pro	(revision 114)
@@ -39,4 +39,7 @@
 FUNCTION ciseauxtri, triang, glam, gphi, TOUT = tout, _EXTRA = ex
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
   IF NOT keyword_set(key_forgetold) THEN BEGIN
Index: /trunk/SRC/ToBeReviewed/TRIANGULATION/completecointerre.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/TRIANGULATION/completecointerre.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/TRIANGULATION/completecointerre.pro	(revision 114)
@@ -36,4 +36,7 @@
 ;------------------------------------------------------------
 PRO draw_corner_triangle, lons, lats, seuil, CONT_COLOR = cont_color, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 ; the triangle must not be out of the domain
@@ -55,4 +58,7 @@
                        , CONT_COLOR = cont_color, INDICEZOOM = indicezoom $
                        , _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/TRIANGULATION/definetri.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/TRIANGULATION/definetri.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/TRIANGULATION/definetri.pro	(revision 114)
@@ -89,4 +89,7 @@
 ;-
 FUNCTION definetri, nx, ny, downward
+;
+  compile_opt idl2, strictarrsubs
+;
    nx = long(nx)
    ny = long(ny)
@@ -109,6 +112,6 @@
 ; the lower-left corner of the rectangle.
       upward = bytarr(nx, ny)+1
-      upward(*, ny-1) = 0
-      upward(nx-1, *) = 0
+      upward[*, ny-1] = 0
+      upward[nx-1, *] = 0
       if n_elements(downward) NE 0 then upward[downward] = 0
       upward = where(upward EQ 1)
Index: /trunk/SRC/ToBeReviewed/TRIANGULATION/definetri_e.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/TRIANGULATION/definetri_e.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/TRIANGULATION/definetri_e.pro	(revision 114)
@@ -1,3 +1,6 @@
 function numtri, index, nx, ny
+;
+  compile_opt idl2, strictarrsubs
+;
 
    y=index/nx
@@ -56,4 +59,7 @@
 ;-
 FUNCTION definetri_e, nx, ny, singular, SHIFTED = shifted
+;
+  compile_opt idl2, strictarrsubs
+;
    nx = long(nx)
    ny = long(ny)
Index: /trunk/SRC/ToBeReviewed/TRIANGULATION/dessinetri.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/TRIANGULATION/dessinetri.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/TRIANGULATION/dessinetri.pro	(revision 114)
@@ -54,4 +54,7 @@
 
 PRO dessinetri, tri, x, y, WAIT = wait, ONEBYONE = onebyone, FILL = fill, CHANGECOLOR = changecolor, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
    tempsun = systime(1)         ; pour key_performance
